Loading...
Searching...
No Matches
irr::io::IFileArchive Class Referenceabstract

The FileArchive manages archives and provides access to files inside them. More...

`#include <IFileArchive.h>`

Inheritance diagram for irr::io::IFileArchive:

## Public Member Functions

virtual IReadFile * | createAndOpenFile (const path &filename)=0
| Opens a file based on its name.
virtual IReadFile * | createAndOpenFile (u32 index)=0
| Opens a file based on its position in the file list.
virtual const IFileList * | getFileList () const =0
| Returns the complete file tree.
virtual E_FILE_ARCHIVE_TYPE | getType () const
| get the archive type
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Public Attributes

core::stringc | Password
| An optionally used password string.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

The FileArchive manages archives and provides access to files inside them.

Definition at line 53 of file IFileArchive.h.

## Member Function Documentation

## createAndOpenFile() [1/2]

virtual IReadFile * irr::io::IFileArchive::createAndOpenFile | ( | const path & | filename | ) |

pure virtual

Opens a file based on its name.

Creates and returns a new IReadFile for a file in the archive.

Parameters

  filename | The file to open

Returns
  Returns A pointer to the created file on success, or 0 on failure.

## createAndOpenFile() [2/2]

virtual IReadFile * irr::io::IFileArchive::createAndOpenFile | ( | u32 | index | ) |

pure virtual

Opens a file based on its position in the file list.

Creates and returns

Parameters

  index | The zero based index of the file.

Returns
  Returns a pointer to the created file on success, or 0 on failure.

## getFileList()

virtual const IFileList * irr::io::IFileArchive::getFileList | ( |  | ) | const

pure virtual

Returns the complete file tree.

Returns
  Returns the complete directory tree for the archive, including all files and folders

## getType()

virtual E_FILE_ARCHIVE_TYPE irr::io::IFileArchive::getType | ( |  | ) | const

inline virtual

get the archive type

Definition at line 76 of file IFileArchive.h.

References irr::io::EFAT_UNKNOWN.

## Member Data Documentation

## Password

core::stringc irr::io::IFileArchive::Password

An optionally used password string.

This variable is publicly accessible from the interface in order to avoid single access patterns to this place, and hence allow some more obscurity.

Definition at line 83 of file IFileArchive.h.

The documentation for this class was generated from the following file:

- IFileArchive.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0